Package com.google.gwt.user.client

## Class Window.ScrollEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<Window.ScrollHandler>
    - - com.google.gwt.user.client.Window.ScrollEvent

- Enclosing class:
    Window

      public static class Window.ScrollEvent
      extends GwtEvent<Window.ScrollHandler>

  Fired when the browser window is scrolled.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `GwtEvent.Type<H>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `(package private) static GwtEvent.Type<Window.ScrollHandler>` | `TYPE` | The event type.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `dispatch​(Window.ScrollHandler handler)` | Should only be called by `HandlerManager`.
    `GwtEvent.Type<Window.ScrollHandler>` | `getAssociatedType()` | Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
    `int` | `getScrollLeft()` | Gets the window's scroll left.
    `int` | `getScrollTop()` | Get the window's scroll top.
    `(package private) static GwtEvent.Type<Window.ScrollHandler>` | `getType()` |

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          static final GwtEvent.Type<Window.ScrollHandler> TYPE

      The event type.

  - ### Method Detail

    - #### getType

          static GwtEvent.Type<Window.ScrollHandler> getType()

    - #### getAssociatedType

          public final GwtEvent.Type<Window.ScrollHandler> getAssociatedType()

      Description copied from class: `Event`
      Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
      Specified by:
        `getAssociatedType` in class `GwtEvent<Window.ScrollHandler>`
      Returns:
        the type

    - #### getScrollLeft

          public int getScrollLeft()

      Gets the window's scroll left.
      Returns:
        window's scroll left

    - #### getScrollTop

          public int getScrollTop()

      Get the window's scroll top.
      Returns:
        the window's scroll top

    - #### dispatch

          protected void dispatch​(Window.ScrollHandler handler)

      Description copied from class: `GwtEvent`
      Should only be called by `HandlerManager`. In other words, do not use or call.
      Specified by:
        `dispatch` in class `GwtEvent<Window.ScrollHandler>`
      Parameters:
        `handler` - handler
      See Also:
        `EventBus.dispatchEvent(Event, Object)`